NUTSCAN_CIDR_TO_IP(3)

NAME
nutscan_cidr_to_ip - Convert a CIDR IP to a range of IP address.

SYNOPSIS

#include <nut-scan.h>

int nutscan_cidr_to_ip(const char * cidr, char ** start_ip, char ** stop_ip);

DESCRIPTION

The nutscan_cidr_to_ip() function converts a range of IP address in the CIDR format given as a string in cidr, to two IPs in strings pointed by start_ip and stop_ip which can be used as input paramters in the scanning functions of the libnutscan API. It is the caller’s responsability to free start_ip and stop_ip strings.

RETURN VALUE

The nutscan_cidr_to_ip() function returns 0 if an error occured (invalid cidr address) or 1 if successful.

SEE ALSO

nutscan_scan_usb(3), nutscan_scan_xml_http(3), nutscan_scan_nut(3), nutscan_scan_avahi(3), nutscan_scan_ipmi(3), nutscan_scan_snmp(3), nutscan_display_parsable(3), nutscan_display_ups_conf(3)